Get products and services sold
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/products-and-services-sold \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/products-and-services-sold"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/products-and-services-sold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hydra:member": [
{
"name": "Marketing and distribution",
"total": 13208067.16,
"share": 72.02,
"transactions": [
{
"date": "2025-10",
"total": 75000
}
]
}
],
"hydra:totalItems": 1
}{
"message": "<string>"
}{
"message": "<string>"
}Clients
Products and Services Sold Insight
Returns a paginated list of products and services sold by the entity, including transaction details and share percentages.
GET
/
entities
/
{entityId}
/
insights
/
products-and-services-sold
Get products and services sold
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 500Was this page helpful?